package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.OutboundRefundConfigPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.OutboundRefundConfigDO;

import java.util.List;

/**
 * 外出退费配置 Service 接口
 *
 * @author 系统管理员
 */
public interface OutboundRefundConfigService {


    Long createOutboundRefundConfig(OutboundRefundConfigDO createReqVO);

    void updateOutboundRefundConfig(OutboundRefundConfigDO updateReqVO);

    void deleteOutboundRefundConfig(Long id);

    OutboundRefundConfigDO getOutboundRefundConfig(Long id);

    PageResult<OutboundRefundConfigDO> getOutboundRefundConfigPage(OutboundRefundConfigPageReqVO pageReqVO);

    List<OutboundRefundConfigDO> findList(Long[] tenantIds);
}